For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Discord
DocsAPI Reference
DocsAPI Reference
  • Projects
    • GETList projects
    • POSTCreate a project
    • GETGet a project
    • DELDelete a project
    • PATCHUpdate a project
    • GETList project credentials
    • POSTCreate a project credential
    • GETList project memories
    • POSTCreate a project memory
    • DELDelete a project memory
    • GETList project files
    • GETList project mobile apps
    • POSTUpload a project mobile app
    • DELDelete a project mobile app
    • POSTInitiate a project mobile app upload
    • POSTConfirm a project mobile app upload
  • Tests
    • GETList tests
    • POSTCreate a test
    • GETGet a test
    • DELDelete a test
    • PATCHUpdate a test
    • POSTTrigger a test run
  • Groups
    • GETList test groups
    • POSTCreate a test group
    • GETGet a test group
    • DELDelete a test group
    • PATCHUpdate a test group
    • POSTAdd a test to a group
    • DELRemove a test from a group
    • POSTTrigger a test group run
  • Webhooks
    • POSTTrigger a project webhook
    • POSTTrigger a group webhook
  • Test Runs
    • GETList test runs
    • GETGet test run status
    • POSTCancel a queued or running run
LogoLogo
Discord
Projects

Create a project

||View as Markdown|
POST
https://tester.army/v1/projects
POST
/v1/projects
$curl -X POST https://tester.army/v1/projects \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string",
> "url": "string"
>}'
1{
2 "project": {
3 "id": "string",
4 "shortId": "string",
5 "name": "string",
6 "url": "string",
7 "projectType": "web",
8 "description": "string",
9 "createdAt": "2024-01-15T09:30:00Z",
10 "updatedAt": "2024-01-15T09:30:00Z"
11 }
12}
Create a project for the authenticated API key's team.
Was this page helpful?
Previous

List projects

Next

Get a project

Built with

Authentication

AuthorizationBearer
API key authentication using Bearer token format

Request

This endpoint expects an object.
namestringRequired1-255 characters
urlstringRequired1-500 characters
projectTypeenumOptional
Allowed values:
descriptionstring or nullOptional<=2000 characters

Response

Project created
projectobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error